@Library('ftewa-jenkins-library@master') _
import de.hsuhh.ti.jenkins.*


p = new Pipelines()

p.FTEWAPipeline {
      name          = "whisper-com"
      gccSix        = false
      gcc7          = true
      gcc8          = true
      clang6        = false
      clang7        = true
      buildLinux    = true
      buildWindows  = false
      buildWine     = false
      buildMacOS    = false
      notifyFail    = true
      notifySuccess = false
      runCPPCHECK   = true
      runCodeChecker= true
      runValgrind   = true
      origins       = [
                        'ssh://git@dev-gitea.ftewa.ti.unibw-hamburg.de:12000/csander/whisper-com'
                      ]
      dependencies  =
      [
        cmake     : [
                      url     : "ssh://git@tiweb.hsu-hh.de:29422/Computer-Engineering-HSU-Germany/cmake-modules",
                      branch  : "master"
                    ],
}
